trinity-users@lists.pearsoncomputing.net

Message: previous - next
Month: March 2018

Re: [trinity-users] upgrade Messup debian7 to debian9

From: "Dr. Nikolaus Klepp" <office@...>
Date: Sat, 17 Mar 2018 20:49:07 +0100
Am Samstag, 17. März 2018 schrieb Frank Lienhard:
> 
> On 03/17/2018 07:39 PM, Frank Lienhard wrote:
> > 
> > 
> > On 03/17/2018 06:39 PM, Dr. Nikolaus Klepp wrote:
> >> Am Samstag, 17. März 2018 schrieb Frank Lienhard:
> >>> due to a misunderstanding with my co-admin, the following happend:
> >>>
> >>> the trinity sources where removed in the sources.list and afterwards 2
> >>> Dist upgrades where performed:
> >>>
> >>> wheezy(7) -> jessie(8)
> >>> jessie(8) -> strech(9)
> >>>
> >>> now I'm unable to get rid of the installed trinity packages:
> >>>
> >>> apt-get purge *-trinity
> >>> Reading package lists... Done
> >>> Building dependency tree
> >>> Reading state information... Done
> >>> E: Unable to locate package *-trinity
> >>> E: Regex compilation error - Invalid preceding regular expression
> >>> E: Couldn't find any package by regex '*-trinity'
> >>>
> >>> But there are installled packages:
> >>> dpkg -l | grep trinity
> >>> ii  akregator-trinity                     4:3.5.13.2-0debian7.0.0+0
> >>>    amd64        RSS feed aggregator for KDE
> >>> ii  amor-trinity                          4:3.5.13.2-0debian7.0.0+0
> >>>    amd64        a Trinity creature for your desktop
> >>> ii  ark-trinity                           4:3.5.13.2-0debian7.0.0+0
> >>>    amd64        graphical archiving tool for Trinity
> >>> ii  arts-trinity                          4:3.5.13.2-0debian7.0.0+1
> >>>    all          sound system from the official KDE release
> >>> [lots more]
> >>>
> >>> Any advie, how to procede?
> >>
> >> # COLUMNS=1000 aptitude purge $(dpkg -l|grep trinity|awk '{print $2}')
> > 
> > OK, next solution from aptitude was better. Only some removes, from
> > which most are re-installed as new version
> Sadly, not quite done:
> 
> Removing konqueror-trinity (4:3.5.13.2-0debian7.0.0+0) ...
> /var/lib/dpkg/info/konqueror-trinity.prerm: 5:
> /var/lib/dpkg/info/konqueror-trinity.prerm:
> /usr/sbin/update-alternatives: not found
> dpkg: error processing package konqueror-trinity (--remove):
>  subprocess installed pre-removal script returned error exit status 127

well, do what it says: /usr/sbin/update-alternatives has been moved to /usr/bin/update-alternatives, so please adapt /var/lib/dpkg/info/konqueror-trinity.prerm acordingly :-)


> >>
> >> or
> >>
> >> # COLUMNS=1000 aptitude purge $(dpkg -l|grep '4:3.5.13.2-0debian7'|awk '{print $2}')



-- 
Please do not email me anything that you are not comfortable also sharing with the NSA, CIA ...